





def Decay_sq1BR(Mchi, Msq1, alpha):
    import math
#    partial_widths = {(P.c,P.chi):'((-Mchi**2 + Msq1**2)*((-8*ct**2*ee**2*Mchi**2)/(3.*cw**2) + (8*ct**2*ee**2*Msq1**2)/(3.*cw**2)))/(48.*cmath.pi*abs(Msq1)**3)',

    ct = math.cos(alpha)
    st = math.sin(alpha)
    ee = math.sqrt(1./137*math.pi)
    cw = math.sqrt(1-0.23)
    MT = 172.5


    pw_charm = ((-Mchi**2 + Msq1**2)*((-8*ct**2*ee**2*Mchi**2)/(3.*cw**2) + (8*ct**2*ee**2*Msq1**2)/(3.*cw**2)))/(48.*math.pi*abs(Msq1)**3)



    #(P.t,P.chi):'(((-8*ee**2*Mchi**2*st**2)/(3.*cw**2) + (8*ee**2*Msq1**2*st**2)/(3.*cw**2) - (8*ee**2*MT**2*st**2)/(3.*cw**2))*cmath.sqrt(Mchi**4 - 2*Mchi**2*Msq1**2 + Msq1**4 - 2*Mchi**2*MT**2 - 2*Msq1**2*MT**2 + MT**4))/(48.*cmath.pi*abs(Msq1)**3)'})    
    
    pw_top = (((-8*ee**2*Mchi**2*st**2)/(3.*cw**2) + (8*ee**2*Msq1**2*st**2)/(3.*cw**2) - (8*ee**2*MT**2*st**2)/(3.*cw**2))*math.sqrt(Mchi**4 - 2*Mchi**2*Msq1**2 + Msq1**4 - 2*Mchi**2*MT**2 - 2*Msq1**2*MT**2 + MT**4))/(48.*math.pi*abs(Msq1)**3)


    total = pw_charm+pw_top

    return [pw_charm/total, pw_top/total]



def Decay_sq2BR(Mchi, Msq2, alpha):

    import math

    ct = math.cos(alpha)
    st = math.sin(alpha)
    ee = math.sqrt(1./137*math.pi)
    cw = math.sqrt(1-0.23)
    MT = 172.5


    #partial_widths = {(P.c,P.chi):'((-Mchi**2 + Msq2**2)*((-8*ee**2*Mchi**2*st**2)/(3.*cw**2) + (8*ee**2*Msq2**2*st**2)/(3.*cw**2)))/(48.*cmath.pi*abs(Msq2)**3)',    
    pw_charm = ((-Mchi**2 + Msq2**2)*((-8*ee**2*Mchi**2*st**2)/(3.*cw**2) + (8*ee**2*Msq2**2*st**2)/(3.*cw**2)))/(48.*math.pi*abs(Msq2)**3)


    #(P.t,P.chi):'(((-8*ct**2*ee**2*Mchi**2)/(3.*cw**2) + (8*ct**2*ee**2*Msq2**2)/(3.*cw**2) - (8*ct**2*ee**2*MT**2)/(3.*cw**2))*cmath.sqrt(Mchi**4 - 2*Mchi**2*Msq2**2 + Msq2**4 - 2*Mchi**2*MT**2 - 2*Msq2**2*MT**2 + MT**4))/(48.*cmath.pi*abs(Msq2)**3)'})

    pw_top = (((-8*ct**2*ee**2*Mchi**2)/(3.*cw**2) + (8*ct**2*ee**2*Msq2**2)/(3.*cw**2) - (8*ct**2*ee**2*MT**2)/(3.*cw**2))*math.sqrt(Mchi**4 - 2*Mchi**2*Msq2**2 + Msq2**4 - 2*Mchi**2*MT**2 - 2*Msq2**2*MT**2 + MT**4))/(48.*math.pi*abs(Msq2)**3)

    total = pw_charm+pw_top

    return [pw_charm/total, pw_top/total]
